/* ---------------------------- */

/* Basic setup */

/* ---------------------------- */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    list-style-type: none;
    --col-canvas: hsl(0, 0%, 12%);
    --col-highlight: #ff9af7;
    --col-page: #ffffff;
    --col-text: #222222;
}

img {
    width: 100%;
    padding-top: 10px;
}

html, body {
    background-color: var(--col-canvas);
    color: var(--col-text);
    font-family: 'Noto Serif JP', serif;
    font-size: 20px;
    font-weight: 400;
    text-rendering: optimizeLegibility;
    scroll-behavior: smooth;
    letter-spacing: 0.025rem;
    line-height: 1.5rem;
}

body {
    max-width: 1023px;
    margin: 0.5rem auto;
    background-color: var(--col-page);
    padding: 0.5rem;
    display: grid;
    grid-template-columns: [start] 5fr 2fr [end];
    grid-template-areas: "title nav" "body sidebar" "footer footer";
}

.clearfix {
    zoom: 1
}

.clearfix:after {
    content: '.';
    clear: both;
    display: block;
    height: 0;
    visibility: hidden;
}

/* ---------------------------- */

/* REUSABLE COMPONENTS */

/* ---------------------------- */

h1, h2, h3 {
    font-weight: 600;
    letter-spacing: 0.05rem;
    word-spacing: 0.05rem;
}

h1 {
    font-size: 100%;
    color: var(--col-highlight);
    background-color: var(--col-canvas);
    padding: 0.5rem;
    position: -webkit-sticky; /* Safari */
    position: sticky;
    top: 0;
    z-index: 3;
    margin: 0;
}

h2 {
    font-size: 100%;
    font-family: 'Lato', sans-serif;
    color: var(--col-text);
    padding-bottom: 0.5em;
}

h3 {
    font-size: 115%;
    color: var(--col-text);
}

u {
    position: relative;
}

u:after {
    content: '';
    width: 100%;
    position: absolute;
    left: 0;
    bottom: 0px;
    border-bottom: 3px solid;
}

figcaption {
    font-size: 80%;
}

hr {
    margin: 1rem 0px;
    background-color: var(--col-text);
    border: none;
    height: 2px;
}

/* ------- LINKS ----------- */

a:link, a:visited {
    color: var(--col-text);
    border-bottom: 1px solid transparent;
    transition: border-bottom 0.2s, color 0.2s;
}

a:hover, a:active {
    color: var(--col-highlight);
    border-bottom: 1px solid var(--col-highlight);
}

/* ---------------------------- */

/* HEADER */

/* ---------------------------- */

.title, header {
    background-color: var(--col-canvas);
    width: 100%;
    font-weight: 600;
    font-size: 1.4rem;
    padding: 0.75em 0.5em;
    align-self: stretch;
}

header {
    grid-area: nav;
    color: var(--col-page);
    z-index: 5;
}

.title {
    grid-area: title;
    display: flex;
    color: var(--col-highlight);
    z-index: 4;
}

nav {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: baseline;
}

nav a:link, nav a:visited{
    border-bottom: none;
}

nav a:hover, nav a:active i {
    border-bottom: none;
}




/* ---------------------------- */

/* MAIN */

/* ---------------------------- */

main {
    grid-area: body;
    justify-self: stretch;
    align-self: stretch;
}

section {
    padding-right: 10%;
    margin-top: 2rem;
}

section:first-of-type {
    margin-top: 0rem;
}

section:last-of-type {
    flex-grow: 1;
}

main p {
    padding: 0.5rem;
}

.row {
    display: flex;
    width: 100%;
    flex-direction: row;
    padding: 0 0.5rem;
}

.card {
    display: flex;
    flex-direction: column;
    flex: auto;
    border: 1px solid #363636;
    border-radius: 5px;
    font-size: 80%;
    line-height: 1rem;
    padding: 10px;
    width: 100%;
    margin: 0.5rem 1rem 0px 0px;
}

#workshop {
    -o-object-fit: cover;
       object-fit: cover;
    -o-object-position: top;
       object-position: top;
    width: 100%;
    height: 9rem;
    padding: 0.5rem;
    -webkit-filter: brightness(60%);
            filter: brightness(60%)
}

main ul {
    font-family: 'Lato', sans-serif;
    padding-left: 0.2em;
    line-height: 1.5em;
}

main ul li {
    list-style: disc inside;
    padding-left: 0.3em;
}

main ul li span {
    margin-left: -0.5em;
}

/* ---------------------------- */

/* SIDEBAR / ASIDE */

/* ---------------------------- */

aside {
    grid-area: sidebar;
    display: flex;
    flex-direction: column;
    padding: 0px;
}

aside section {
    padding-right: 0px;
}

aside h1 {
    position: relative;
}

aside ul {
    padding-left: 0.5em;
}

#contact-header {
    display: none;
}

/* ---------------------------- */

/* FOOTER */

/* ---------------------------- */

footer {
    grid-area: footer;
    background-color: var(--col-canvas);
    padding: 10px;
    justify-self: stretch;
    align-self: stretch;
    font-size: 80%;
}

footer ul {
    color: var(--col-page);
    display: flex;
    width: 100%;
    align-items: baseline;
    flex-direction: row;
    justify-content: space-between;
}

footer ul li {
    display: flex;
    align-items: baseline;
}

footer p {
    color: var(--col-page);
    text-align: center;
    padding-top: 0.5em;
    font-size: 80%;
}

footer a:link, footer a:visited {
    color: var(--col-page);
    border-bottom: 1px solid transparent;
    transition: border-bottom 0.2s, color 0.2s;
}

footer a:hover, footer a:active {
    color: var(--col-highlight);
    border-bottom: 1px solid var(--col-highlight);
}

/* ---------------------------- */

/* STICKY / MOB NAV */

/* ---------------------------- */


/* Sticky navi - the DIV that appears*/

#sticky-nav {
    display: none;
    grid-template-areas: "head" "main";
    width: 100%;
    font-size: 1rem;
    color: var(--col-page);
    background-color: var(--col-canvas);
    padding: 0.5rem;
    position: -webkit-sticky; /* Safari */
    position: sticky;
    top: 0;
    z-index: 9999;
}

#sticky-nav header {
    grid-area: head;
    font-size: 1rem;
    padding: 0px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: baseline
}

#sticky-nav section {
    grid-area: main;
}

#sticky-nav a:link, #sticky-nav a:visited{
    border-bottom: none;
    color: var(--col-page);
    transition: color 0.2s;
}

#sticky-nav a:hover, #sticky-nav a:active i {
    border-bottom: none;
    color: var(--col-highlight);
}



#sideMenu-sticky {
    display: none;
}

#sideMenu-sticky ul {
    padding-top: 0.5rem;
    padding-left: 0;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    line-height: 2em;
}

#sideMenu-sticky ul li {
    display: flex;
    align-items: baseline;
    padding-left: 0;
}



/* Side Menu - that Nav Burger opens is the ASIDE tag*/

#sideMenu {
    z-index: 4;
    display: none;
    flex-direction: column;
    align-items: flex-start;
    justify-items: flex-start;
    background-color: var(--col-canvas);
    overflow-x: hidden;
}

#sideMenu ul {
    padding: 0.75rem 0.75rem;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    line-height: 2em;
}

#sideMenu ul li {
    display: flex;
    align-items: baseline;
}


#sideMenu a:link, #sideMenu a:visited {
    color: var(--col-page);
    border-bottom: 1px solid transparent;
    transition: border-bottom 0.2s, color 0.2s;
}

#sideMenu a:hover, #sideMenu a:active {
    color: var(--col-highlight);
    border-bottom: 1px solid var(--col-highlight);
}

/* Mobile Menu - only show in BOdy in mob view */

#mobileMenu {
    z-index: 1;
    display: none;
    flex-direction: column;
    justify-items: flex-start;
    background-color: var(--col-canvas);
    overflow-x: hidden;
}

#mobileMenu ul {
    padding: 0.75rem 0.75rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    line-height: 2em;
}

#mobileMenu ul li {
    display: flex;
    align-items: baseline;
}

#mobileMenu a:link, #mobileMenu a:visited {
    color: var(--col-page);
    border-bottom: 1px solid transparent;
    transition: border-bottom 0.2s, color 0.2s;
}

#mobileMenu a:hover, #mobileMenu a:active {
    color: var(--col-highlight);
    border-bottom: 1px solid var(--col-highlight);
}

